/*
 * Copyright (c) 2007, 2009, Oracle and/or its affiliates. All rights reserved.
 * ORACLE PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

/*
 * $Id: HelloImpl.java 62536 2011-04-15 16:35:14Z af70133 $
 */

package com.sun.ts.tests.jaxrpc.ee.wsi.rpc.literal.httptest;

import com.sun.ts.lib.util.*;
import com.sun.ts.lib.porting.*;

import java.rmi.Remote;
import java.rmi.RemoteException;

// Service Implementation Class - as outlined in JAX-RPC Specification

public class HelloImpl implements Hello {

    public HelloResponse hello(HelloRequest req) throws RemoteException {
        System.out.println("Hello, " + req.getString() + "!");
	HelloResponse resp = new HelloResponse();
	resp.setString("Hello, " + req.getString() + "!");
        return resp;
    }

    public void helloOneWay(HelloOneWay req) throws RemoteException {
        System.out.println("Hello OneWay, " + req.getString() + "!");
    }
}
